Name: 		cppunit-devel
Version: 	1.12.0
Release: 	1
Summary: 	C++ unit testing framework
License: 	LGPLv2+
Group:		Development
Url: 		http://cppunit.sourceforge.net/
Source: 	http://downloads.sourceforge.net/cppunit/cppunit-%{version}.tar.gz
Patch0: 	cppunit-1.12.0-nolibdir.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	doxygen
Provides:	cppunit

%description
CppUnit is the C++ port of the famous JUnit framework for unit testing.
Test output is in XML for automatic testing and GUI based for supervised tests.

%prep
%setup -q -n cppun*
%patch0 -p1

%build
%configure --enable-doxygen --enable-static --disable-shared
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}
%{_libdir}/*.a
%{_includedir}
%{_datadir}/aclocal
%{_mandir}
%{_libdir}/pkgconfig
